package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.List;

/**
 * Created 2021/4/13.
 *
 * @author hua
 */
public class WxEnterpriseRelationDetailDTO implements Serializable {
    private String wxEnterpriseRelatedId;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String enterpriseName;
    private String version;
    private String staffId;
    private String staffName;
    private int wxEnterpriseType;
    private int memberOpenCardFlag;
    private Integer clerkEditFlag;
    private List<StoreOrGroupInfoDTO> relations;

    public Integer getClerkEditFlag() {
        return clerkEditFlag;
    }

    public void setClerkEditFlag(Integer clerkEditFlag) {
        this.clerkEditFlag = clerkEditFlag;
    }

    public String getWxEnterpriseRelatedId() {
        return wxEnterpriseRelatedId;
    }

    public void setWxEnterpriseRelatedId(String wxEnterpriseRelatedId) {
        this.wxEnterpriseRelatedId = wxEnterpriseRelatedId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public List<StoreOrGroupInfoDTO> getRelations() {
        return relations;
    }

    public void setRelations(List<StoreOrGroupInfoDTO> relations) {
        this.relations = relations;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public int getWxEnterpriseType() {
        return wxEnterpriseType;
    }

    public void setWxEnterpriseType(int wxEnterpriseType) {
        this.wxEnterpriseType = wxEnterpriseType;
    }

    public int getMemberOpenCardFlag() {
        return memberOpenCardFlag;
    }

    public void setMemberOpenCardFlag(int memberOpenCardFlag) {
        this.memberOpenCardFlag = memberOpenCardFlag;
    }
}
